﻿using System;
using System.Collections.Generic;
using System.Text;
using FDK;

namespace StrokeStyleT
{
	class Stage :IDisposable
	{
		public CStageBase m現在のステージ = null;
		public C演奏ステージ m演奏ステージ
		{
			get;
			private set;
		}
		public C選曲ステージ m選曲ステージ
		{
			get;
			private set;
		}
		public C結果ステージ m結果ステージ
		{
			get;
			private set;
		}

		public Stage()
		{
			this.m演奏ステージ = new C演奏ステージ();
			this.m選曲ステージ = new C選曲ステージ();
			this.m結果ステージ = new C結果ステージ();
		}

		#region [ IDisposable 実装 ]
		//-----------------
		public void Dispose()
		{
			C共通.tDisposeする( this.m演奏ステージ ); this.m演奏ステージ = null;
			C共通.tDisposeする( this.m選曲ステージ ); this.m選曲ステージ = null;
			C共通.tDisposeする( this.m結果ステージ ); this.m結果ステージ = null;
		}
		//-----------------
		#endregion

	}
}
