﻿using System;
using System.Collections.Generic;
using System.Text;
using SlimDX.DirectInput;
using FDK;

namespace StrokeStyleT
{
	class C結果ステージ : CStageBase
	{
		public C結果ステージ()
		{
			this.eStageID = EステージID.結果;
			this.ePhaseID = EフェーズID.通常;
		}

		public enum E戻り値 { 継続, 終了 }
		public override int On進行()
		{
			if( this.b活性化してない )
				return (int) E戻り値.継続;


			// 入力。

			if( Global.Input.Input管理.Keyboard.bキーが押された( Key.Escape ) ||
				Global.Input.bシンバル類のいずれかが押された )
				return (int) E戻り値.終了;

			
			return (int) E戻り値.継続;
		}
		public override void On描画()
		{
			if( this.b活性化してない )
				return;

			Global.App.tデバイスをクリアする();

			int y = 0;
			Global.Act英数字.t表示( 0, y, CAct英数字.E種別.白太, "RESULT:" ); y += 16;
			Global.Act英数字.t表示( 0, y, CAct英数字.E種別.白太, "Perfect = " + Global.Stage.m演奏ステージ.dicヒットした回数[ E判定.PERFECT ].ToString() ); y += 16;
			Global.Act英数字.t表示( 0, y, CAct英数字.E種別.白太, "Great   = " + Global.Stage.m演奏ステージ.dicヒットした回数[ E判定.GREAT ].ToString() ); y += 16;
			Global.Act英数字.t表示( 0, y, CAct英数字.E種別.白太, "Good    = " + Global.Stage.m演奏ステージ.dicヒットした回数[ E判定.GOOD ].ToString() ); y += 16;
			Global.Act英数字.t表示( 0, y, CAct英数字.E種別.白太, "Poor    = " + Global.Stage.m演奏ステージ.dicヒットした回数[ E判定.POOR ].ToString() ); y += 16;
			Global.Act英数字.t表示( 0, y, CAct英数字.E種別.白太, "Miss    = " + Global.Stage.m演奏ステージ.dicヒットした回数[ E判定.MISS ].ToString() ); y += 16;
			Global.Act英数字.t表示( 0, y, CAct英数字.E種別.白太, "Auto    = " + Global.Stage.m演奏ステージ.dicヒットした回数[ E判定.AUTO ].ToString() ); y += 16;
			y += 16;
			Global.Act英数字.t表示( 0, y, CAct英数字.E種別.白太, "Push ESC or Hit any Cymbal to back to SelectStage." ); y += 16;
		}
	}
}
